
%syms t

t = 0.00025:0.00025:3; % x axis units representing time on an arbitrary 
% scale
a = 125; % adjusts rate curve amplitude i.e. vertical range of rate data on 
% either side of v
v = 175; % vertical adjustment of the rate curve - without this, the range
% of wave would be centred on zero
w = 2; % wavelength adjustment - a higher value gives shorter wavelength. 
% Set at 2, a whole wave fits in the range t = 0 to 1.
d = 40; % adjusts dynamics curve amplitude. A higher value gives a smaller 
% range. 

wave = a*sin(w*pi*t)+v;

plot(t,wave,'-','color',([0 0 0]));
hold on

% dynamics = diff(wave) % Differentiates 'wave' with respect to t
% 
% hold on
% 
% plot(t,gradient(wave,t)/d,'-','color',([.5 0 0]));
% 
% plot(t,wave + (gradient(wave,t)/d),'-','color',([0 0 .5]));

length(wave)

t = 0.00025:0.00025:3;
wave = a*sin(w*pi*t)+v;

plot(t,wave,'-','color',([0 0 0]));
