% The function receives an array of 4400 elements

function remastered = integrate_1ms(x)

% The function reshape(x,n,m) receives an array x and returns a matrix of
% n rows and m columns. The first column is made up of the first n elements
% of the input array, the second is made up of the second n elements, and
% so on. 

makegrps1 = reshape(x, [], 220);

% Average the values in each column, generating an array with m elements 
% (here 220).

grps1_av = mean(makegrps1);

% Duplicate the first element of the input array at the end, then remove the
% first element, so that the elements are rotated by 1.

x(end+1) = x(1);
shiftby1 = x(2:end);

% Then make a matrix out of the rotated array, and average the values in
% each column, creating a second new array of 40 elements.

makegrps2 = reshape(shiftby1, [], 220);
grps2_av = mean(makegrps2);

% Then rotate again.

shiftby1(end+1) = shiftby1(1);
shiftby2 = shiftby1(2:end);

% Repeat.

makegrps3 = reshape(shiftby2, [], 220);
grps3_av = mean(makegrps3);

shiftby2(end+1) = shiftby2(1);
shiftby3 = shiftby2(2:end);

makegrps4 = reshape(shiftby3, [], 220);
grps4_av = mean(makegrps4);

shiftby3(end+1) = shiftby3(1);
shiftby4 = shiftby3(2:end);

makegrps5 = reshape(shiftby4, [], 220);
grps5_av = mean(makegrps5);

% Gps 6 to 10

shiftby4(end+1) = shiftby4(1);
shiftby5 = shiftby4(2:end);

makegrps6 = reshape(shiftby5, [], 220);
grps6_av = mean(makegrps6);

shiftby5(end+1) = shiftby5(1);
shiftby6 = shiftby5(2:end);

makegrps7 = reshape(shiftby6, [], 220);
grps7_av = mean(makegrps7);

shiftby6(end+1) = shiftby6(1);
shiftby7 = shiftby6(2:end);

makegrps8 = reshape(shiftby7, [], 220);
grps8_av = mean(makegrps8);

shiftby7(end+1) = shiftby7(1);
shiftby8 = shiftby7(2:end);

makegrps9 = reshape(shiftby8, [], 220);
grps9_av = mean(makegrps9);

shiftby8(end+1) = shiftby8(1);
shiftby9 = shiftby8(2:end);

makegrps10 = reshape(shiftby9, [], 220);
grps10_av = mean(makegrps10);

% Gps 11 to 15

shiftby9(end+1) = shiftby9(1);
shiftby10 = shiftby9(2:end);

makegrps11 = reshape(shiftby10, [], 220);
grps11_av = mean(makegrps11);

shiftby10(end+1) = shiftby10(1);
shiftby11 = shiftby10(2:end);

makegrps12 = reshape(shiftby11, [], 220);
grps12_av = mean(makegrps12);

shiftby11(end+1) = shiftby11(1);
shiftby12 = shiftby11(2:end);

makegrps13 = reshape(shiftby12, [], 220);
grps13_av = mean(makegrps13);

shiftby12(end+1) = shiftby12(1);
shiftby13 = shiftby12(2:end);

makegrps14 = reshape(shiftby13, [], 220);
grps14_av = mean(makegrps14);

shiftby13(end+1) = shiftby13(1);
shiftby14 = shiftby13(2:end);

makegrps15 = reshape(shiftby14, [], 220);
grps15_av = mean(makegrps15);

% Gps 16 to 20

shiftby14(end+1) = shiftby14(1);
shiftby15 = shiftby14(2:end);

makegrps16 = reshape(shiftby15, [], 220);
grps16_av = mean(makegrps16);

shiftby15(end+1) = shiftby15(1);
shiftby16 = shiftby15(2:end);

makegrps17 = reshape(shiftby16, [], 220);
grps17_av = mean(makegrps17);

shiftby16(end+1) = shiftby16(1);
shiftby17 = shiftby16(2:end);

makegrps18 = reshape(shiftby17, [], 220);
grps18_av = mean(makegrps18);

shiftby17(end+1) = shiftby17(1);
shiftby18 = shiftby17(2:end);

makegrps19 = reshape(shiftby18, [], 220);
grps19_av = mean(makegrps19);

shiftby18(end+1) = shiftby18(1);
shiftby19 = shiftby18(2:end);

makegrps20 = reshape(shiftby19, [], 220);
grps20_av = mean(makegrps20);

% Stack the new arrays to create a 20 by 220 matrix.

stack = [grps1_av;grps2_av;grps3_av;grps4_av;grps5_av;...
    grps6_av;grps7_av;grps8_av;grps9_av;grps10_av;...
    grps11_av;grps12_av;grps13_av;grps14_av;grps15_av;...
    grps16_av;grps17_av;grps18_av;grps19_av;grps20_av];

% Call the function combine() to turn the matrix into an array, such that
% the first column becomes elements 1-5, the second become elements 6-10,
% and so on.

remastered = stack(:)';

