% The function receives an array of 4400 elements

function remastered = integrate_2ms(x)

% The function reshape(x,n,m) receives an array x and returns a matrix of
% n rows and m columns. The first column is made up of the first n elements
% of the input array, the second is made up of the second n elements, and
% so on. 

makegrps1 = reshape(x, [], 110);

% Average the values in each column, generating an array with m elements 
% (here 220).

grps1_av = mean(makegrps1);

% Duplicate the first element of the input array at the end, then remove the
% first element, so that the elements are rotated by 1.

x(end+1) = x(1);
shiftby1 = x(2:end);

% Then make a matrix out of the rotated array, and average the values in
% each column, creating a second new array of 40 elements.

makegrps2 = reshape(shiftby1, [], 110);
grps2_av = mean(makegrps2);

% Then rotate again.

shiftby1(end+1) = shiftby1(1);
shiftby2 = shiftby1(2:end);

% Repeat.

makegrps3 = reshape(shiftby2, [], 110);
grps3_av = mean(makegrps3);

shiftby2(end+1) = shiftby2(1);
shiftby3 = shiftby2(2:end);

makegrps4 = reshape(shiftby3, [], 110);
grps4_av = mean(makegrps4);

shiftby3(end+1) = shiftby3(1);
shiftby4 = shiftby3(2:end);

makegrps5 = reshape(shiftby4, [], 110);
grps5_av = mean(makegrps5);

% Gps 6 to 10

shiftby4(end+1) = shiftby4(1);
shiftby5 = shiftby4(2:end);

makegrps6 = reshape(shiftby5, [], 110);
grps6_av = mean(makegrps6);

shiftby5(end+1) = shiftby5(1);
shiftby6 = shiftby5(2:end);

makegrps7 = reshape(shiftby6, [], 110);
grps7_av = mean(makegrps7);

shiftby6(end+1) = shiftby6(1);
shiftby7 = shiftby6(2:end);

makegrps8 = reshape(shiftby7, [], 110);
grps8_av = mean(makegrps8);

shiftby7(end+1) = shiftby7(1);
shiftby8 = shiftby7(2:end);

makegrps9 = reshape(shiftby8, [], 110);
grps9_av = mean(makegrps9);

shiftby8(end+1) = shiftby8(1);
shiftby9 = shiftby8(2:end);

makegrps10 = reshape(shiftby9, [], 110);
grps10_av = mean(makegrps10);

% Gps 11 to 15

shiftby9(end+1) = shiftby9(1);
shiftby10 = shiftby9(2:end);

makegrps11 = reshape(shiftby10, [], 110);
grps11_av = mean(makegrps11);

shiftby10(end+1) = shiftby10(1);
shiftby11 = shiftby10(2:end);

makegrps12 = reshape(shiftby11, [], 110);
grps12_av = mean(makegrps12);

shiftby11(end+1) = shiftby11(1);
shiftby12 = shiftby11(2:end);

makegrps13 = reshape(shiftby12, [], 110);
grps13_av = mean(makegrps13);

shiftby12(end+1) = shiftby12(1);
shiftby13 = shiftby12(2:end);

makegrps14 = reshape(shiftby13, [], 110);
grps14_av = mean(makegrps14);

shiftby13(end+1) = shiftby13(1);
shiftby14 = shiftby13(2:end);

makegrps15 = reshape(shiftby14, [], 110);
grps15_av = mean(makegrps15);

% Gps 16 to 20

shiftby14(end+1) = shiftby14(1);
shiftby15 = shiftby14(2:end);

makegrps16 = reshape(shiftby15, [], 110);
grps16_av = mean(makegrps16);

shiftby15(end+1) = shiftby15(1);
shiftby16 = shiftby15(2:end);

makegrps17 = reshape(shiftby16, [], 110);
grps17_av = mean(makegrps17);

shiftby16(end+1) = shiftby16(1);
shiftby17 = shiftby16(2:end);

makegrps18 = reshape(shiftby17, [], 110);
grps18_av = mean(makegrps18);

shiftby17(end+1) = shiftby17(1);
shiftby18 = shiftby17(2:end);

makegrps19 = reshape(shiftby18, [], 110);
grps19_av = mean(makegrps19);

shiftby18(end+1) = shiftby18(1);
shiftby19 = shiftby18(2:end);

makegrps20 = reshape(shiftby19, [], 110);
grps20_av = mean(makegrps20);

% Gps 21 to 25

shiftby19(end+1) = shiftby19(1);
shiftby20 = shiftby19(2:end);

makegrps21 = reshape(shiftby20, [], 110);
grps21_av = mean(makegrps21);

shiftby20(end+1) = shiftby20(1);
shiftby21 = shiftby20(2:end);

makegrps22 = reshape(shiftby21, [], 110);
grps22_av = mean(makegrps22);

shiftby21(end+1) = shiftby21(1);
shiftby22 = shiftby21(2:end);

makegrps23 = reshape(shiftby22, [], 110);
grps23_av = mean(makegrps23);

shiftby22(end+1) = shiftby22(1);
shiftby23 = shiftby22(2:end);

makegrps24 = reshape(shiftby23, [], 110);
grps24_av = mean(makegrps24);

shiftby23(end+1) = shiftby23(1);
shiftby24 = shiftby23(2:end);

makegrps25 = reshape(shiftby24, [], 110);
grps25_av = mean(makegrps25);

% Gps 26 to 30

shiftby24(end+1) = shiftby24(1);
shiftby25 = shiftby24(2:end);

makegrps26 = reshape(shiftby25, [], 110);
grps26_av = mean(makegrps26);

shiftby25(end+1) = shiftby25(1);
shiftby26 = shiftby25(2:end);

makegrps27 = reshape(shiftby26, [], 110);
grps27_av = mean(makegrps27);

shiftby26(end+1) = shiftby26(1);
shiftby27 = shiftby26(2:end);

makegrps28 = reshape(shiftby27, [], 110);
grps28_av = mean(makegrps28);

shiftby27(end+1) = shiftby27(1);
shiftby28 = shiftby27(2:end);

makegrps29 = reshape(shiftby28, [], 110);
grps29_av = mean(makegrps29);

shiftby28(end+1) = shiftby28(1);
shiftby29 = shiftby28(2:end);

makegrps30 = reshape(shiftby29, [], 110);
grps30_av = mean(makegrps30);

% Gps 31 to 35

shiftby29(end+1) = shiftby29(1);
shiftby30 = shiftby29(2:end);

makegrps31 = reshape(shiftby30, [], 110);
grps31_av = mean(makegrps31);

shiftby30(end+1) = shiftby30(1);
shiftby31 = shiftby30(2:end);

makegrps32 = reshape(shiftby31, [], 110);
grps32_av = mean(makegrps32);

shiftby31(end+1) = shiftby31(1);
shiftby32 = shiftby31(2:end);

makegrps33 = reshape(shiftby32, [], 110);
grps33_av = mean(makegrps33);

shiftby32(end+1) = shiftby32(1);
shiftby33 = shiftby32(2:end);

makegrps34 = reshape(shiftby33, [], 110);
grps34_av = mean(makegrps34);

shiftby33(end+1) = shiftby33(1);
shiftby34 = shiftby33(2:end);

makegrps35 = reshape(shiftby34, [], 110);
grps35_av = mean(makegrps35);

% Gps 36 to 40

shiftby34(end+1) = shiftby34(1);
shiftby35 = shiftby34(2:end);

makegrps36 = reshape(shiftby35, [], 110);
grps36_av = mean(makegrps36);

shiftby35(end+1) = shiftby35(1);
shiftby36 = shiftby35(2:end);

makegrps37 = reshape(shiftby36, [], 110);
grps37_av = mean(makegrps37);

shiftby36(end+1) = shiftby36(1);
shiftby37 = shiftby36(2:end);

makegrps38 = reshape(shiftby37, [], 110);
grps38_av = mean(makegrps38);

shiftby37(end+1) = shiftby37(1);
shiftby38 = shiftby37(2:end);

makegrps39 = reshape(shiftby38, [], 110);
grps39_av = mean(makegrps39);

shiftby38(end+1) = shiftby38(1);
shiftby39 = shiftby38(2:end);

makegrps40 = reshape(shiftby39, [], 110);
grps40_av = mean(makegrps40);

% Stack the new arrays to create a 20 by 220 matrix.

stack = [grps1_av;grps2_av;grps3_av;grps4_av;grps5_av;...
    grps6_av;grps7_av;grps8_av;grps9_av;grps10_av;...
    grps11_av;grps12_av;grps13_av;grps14_av;grps15_av;...
    grps16_av;grps17_av;grps18_av;grps19_av;grps20_av;...
    grps21_av;grps22_av;grps23_av;grps24_av;grps25_av;...
    grps26_av;grps27_av;grps28_av;grps29_av;grps30_av;...
    grps31_av;grps32_av;grps33_av;grps34_av;grps35_av;...
    grps36_av;grps37_av;grps38_av;grps39_av;grps40_av;];

% Call the function combine() to turn the matrix into an array, such that
% the first column becomes elements 1-5, the second become elements 6-10,
% and so on.

remastered = stack(:)';

